cURL
curl --request GET \ --url https://sandbox.tight.com/v6/mileage/setup \ --header 'Authorization: Bearer <token>'
{ "result": "SUCCESS", "data": { "workHours": { "enabled": true, "monday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "tuesday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "wednesday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "thursday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "friday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "saturday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ], "sunday": [ { "startTime": "09:00:00", "endTime": "17:00:00" } ] }, "setupComplete": false } }
Get the mileage setup for the authenticated user
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Bearer <token>
Success
The result of the action performed.
SUCCESS
FAILURE
The data generated by the action performed.
Show child attributes